solscan logo
Register NowRegister Now

token historical price data

get

https://pro-api.solscan.io/v2.0/token/price/history

Get the historical price of multiple tokens.

QUERY PARAMS

address

array

required

A list of token addresses on solana blockchain. Maximum of 50 token addresses.

Maximum allowed values: 50

from_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_time=20240701&to_time=20240715

to_time

number

Used when you want to filter data by time. Format time: YYYYMMDD. You need to pass array into http query to filter by start and end time. Example: ?from_time=20240701&to_time=20240715

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

token_address

string

The token address

date

number

Datetime in format YYYYMMDD

price

number

The price of token (in USD)

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples